From 79e2edba447aa266b9b687680ef7ba8ffc5b1a63 Mon Sep 17 00:00:00 2001
From: Caleb JA <skywise@tutanota.de>
Date: Mon, 8 Jul 2019 14:55:35 -0400
Subject: [PATCH] New package: oilshell-0.6.0

re-add nostrip


Add proper readline build option and re-add nocross


make using the readline option default and remove desc


fix readline option


fix nocross reason
---
 srcpkgs/oilshell/template | 41 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 srcpkgs/oilshell/template

diff --git a/srcpkgs/oilshell/template b/srcpkgs/oilshell/template
new file mode 100644
index 00000000000..95272cb0503
--- /dev/null
+++ b/srcpkgs/oilshell/template
@@ -0,0 +1,41 @@
+# Template file for 'oilshell'
+pkgname=oilshell
+version=0.6.0
+revision=1
+wrksrc=oil-${version}
+build_style=configure
+configure_args="--prefix=/usr $(vopt_with readline)"
+makedepends="$(vopt_if readline readline-devel)"
+short_desc="Oil, a new unix shell"
+maintainer="Caleb JA <skywise@tutanota.de>"
+license="Apache-2.0"
+homepage="https://www.oilshell.org"
+distfiles="${homepage}/download/oil-${version}.tar.xz"
+checksum=141e3a5c1997a696d65747966978aaa38921d77e303aad9e77b4ab4aedab84b7
+register_shell="/usr/bin/osh"
+nocross="oilshell is nocross"
+nostrip=yes
+
+build_options="readline"
+build_options_default="readline"
+
+pre_build() {
+	# Remove the strip wrapper
+	rm -f "${XBPS_WRAPPERDIR}"/strip
+}
+
+do_install() {
+	# Remove the strip wrapper
+	rm -f "${XBPS_WRAPPERDIR}"/strip
+
+	# Install binaries
+	vbin _bin/oil.ovm
+	# Symlink osh, oshc to oil.ovm.
+	cd "${DESTDIR}"/usr/bin
+	ln -s oil.ovm osh
+	ln -s oil.ovm oshc
+}
+
+post_install() {
+	vlicense LICENSE.txt
+}
\ No newline at end of file
